summaryrefslogtreecommitdiff
path: root/home/xyz/.local/bin/mpra
diff options
context:
space:
mode:
Diffstat (limited to 'home/xyz/.local/bin/mpra')
-rwxr-xr-xhome/xyz/.local/bin/mpra35
1 files changed, 35 insertions, 0 deletions
diff --git a/home/xyz/.local/bin/mpra b/home/xyz/.local/bin/mpra
new file mode 100755
index 00000000..114c836b
--- /dev/null
+++ b/home/xyz/.local/bin/mpra
@@ -0,0 +1,35 @@
+#!/bin/sh
+# MakePkg Repo-Add
+
+fn () {
+ find . -maxdepth 1 -type f -name "*.pkg.tar.$ext*" -delete
+ makepkg --sign -sf
+ newpkg="$(find . -maxdepth 1 -type f -name "*.pkg.tar.$ext")"
+ mv "$newpkg" "$newpkg.sig" ..
+ # need manually repo-add new database for first time initialization
+ repo-add -s -v -R "$(find .. -maxdepth 1 -type f -name '*.db.tar.gz')" "../$newpkg"
+}
+
+ext='zst'
+
+upd -p
+
+while getopts a opt; do
+ case $opt in
+ # arch linux arm still using .xz instead of .zst as package compression format
+ a) ext=xz;;
+ \?) exit 1;;
+ esac
+done
+shift $((OPTIND-1))
+
+if [ $# -eq 0 ]; then
+ fn
+else
+ for dir; do
+ cd -- "$(realpath -- "$dir")" || exit
+ fn
+ done
+fi
+
+upd -p